## tellico-trinity 3.5.13.2

=== doc/en/CMakeLists.txt ===

KDE_CREATE_HANDBOOK( index.docbook Xi
  INSTALL_DESTINATION share/doc/tde/HTML/en/tellico
  )

########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#
#EXTRA_DIST = \
#advanced.docbook \
#configuration.docbook \
#details.docbook \
#faqs.docbook \
#fundamentals.docbook \
#hacking.docbook \
#importing-exporting.docbook \
#index.docbook \
#menus.docbook \
#freebsd-doc-license.html \
#entry-editor1.png \
#entry-editor3.png \
#entry-editor4.png \
#entry-editor5.png \
#fields-dialog.png \
#general-options.png \
#main-window.png \
#print-options.png \
#template-options.png \
#source-options.png \
#filter-dialog.png \
#csv-dialog.png \
#fetch-dialog.png \
#export-options.png \
#export-html.png \
#export-csv.png \
#export-pdb.png \
#export-bibtex.png \
#amazon-options.png \
#z3950-options.png \
#externalexec-options.png \
#report-dialog.png \
#loan-dialog.png \
#loan-view.png \
#filter-view.png \
#openoffice-dialog.png \
#sru-options.png \
#imdb-options.png
#
#
######## kdevelop will overwrite this part!!! (end)############
#
#KDE_LANG = en
#KDE_DOCS = tellico
#
#CLEANFILES = *~
