=== debian/changelog ===
tellico-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 17:39:27 +0200

tellico-trinity (1.3.2.1-1ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tellico-trinity (1.3.2.1-1ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

tellico-trinity (1.3.2.1-1ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 08 Feb 2009 12:39:00 -0600

tellico (1.3.2.1-1ubuntu1) intrepid; urgency=low

  [ Fabrice Coutadeur ]
  * debian/control: Building without kdemultimedia-dev and libkcal2-dev
  * debian/rules: delete libtool and config.log files in the cleaning part
  * Close LP: #264168

  [ Sarah Hobbs ]
  * Drop khelpcenter recommends, as it no longer exists in intrepid

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 27 Sep 2008 23:52:00 +1000

tellico (1.3.2.1-1) unstable; urgency=low

  * New upstream release, fixing some translations.
  * Bump Strandard version to 3.8.0.

 -- Regis Boudin <regis@debian.org>  Sat, 14 Jun 2008 08:32:30 +0100

tellico (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Recommend khelpcenter for acces to the help (Closes: #478975).

 -- Regis Boudin <regis@debian.org>  Fri, 23 May 2008 21:28:59 +0100

tellico (1.3.1-2) unstable; urgency=low

  * Move the import scripts to a separate package, tellico-scripts, which can
    be updated through debian-volatile (Closes: #457949).
  * Build-depend on libyaz3-dev instead of libyaz2-dev, to use the new yaz.
  * Stop suggesting python2.4, and make the guilty script use straight python
    (Closes: #472741).

 -- Regis Boudin <regis@debian.org>  Mon, 21 Apr 2008 10:38:57 +0100

tellico (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Now that dh_icons is a complete feature, call it (Closes: #464590)
  * Re-generate the manpage, to make lintian happy. Plus, it was outdated.

 -- Regis Boudin <regis@debian.org>  Sat, 15 Mar 2008 16:55:42 +0000

tellico (1.3-1) unstable; urgency=low

  * New complete upstream release, going to unstable this time. Only includes
    minor code changes and documentation update since the pre3 release.
  * Enable new barcore reading through webcam with --enable-webcam.

 -- Regis Boudin <regis@debian.org>  Wed, 30 Jan 2008 14:17:07 +0000

tellico (1.3~pre3-1) experimental; urgency=low

  * New upstream pre-release, upload to experimental. This release is brand
    new and might break things. Back up you data !
    + Includes support for pdf files. Add libpoppler-qt-dev and libexempi-dev
      to build-depends to enable it.
  * Add svg icons to the xdg mimetypes. Remove hack to rename mimetypes icons,
    The change is now included upstream.
  * Suggest ruby for more import scripts.
  * Call dh_installmime specifically for tellico-data to call
    update-mime-database in postinst and postrm.
  * Call dh_desktop in the tellico binary package to update the desktop
    database.

 -- Regis Boudin <regis@debian.org>  Sun, 13 Jan 2008 18:16:45 +0000

tellico (1.2.14-1) unstable; urgency=low

  * New upstream release. Mainly bugfixes and translation updates. Includes
    an updated German translation (Closes: #425968, #445879).
  * Check for the existence of Makefile before calling distclean.
  * Build-depend on debhelper (>> 5.0.0).
  * Switch to the new Debian menu hierarchy, move to Applications/Office.
  * Move tellico.desktop to the tellico package, so it can find the program.
  * Add a sharedmimeinfo file to tellico-data for the application/x-tellico
    mimetype.
  * Rename the mimetype icons to application-x-tellico so Gnome can use them.
  * Use the new Homepage and Vcs-Svn fields.
  * Bump Standards-Version to 3.7.3.0.
  * Apply some minor modifications to tellico.desktop to comply with the
    freedesktop specs.

 -- Regis Boudin <regis@debian.org>  Sun, 23 Sep 2007 11:06:54 +0100

tellico (1.2.11-1) unstable; urgency=low

  * New upstream release (Closes: #402275, #422792). Also add a watch file
    provided by Bastian Kleineidam.
    + Include updated parsing for IMDb source (Closes: #421650).
  * Stop patching to remove unnecessary links, use --enable-new-ldflags
    instead, which passes the --as-needed flag at link time.

 -- Regis Boudin <regis@boudin.name>  Mon,  8 May 2007 10:11:44 +0200

tellico (1.2.5-1) unstable; urgency=high

  * "New" upstream release, aimed at Etch. Differences with 1.2.4-1 are :
    + Build fix for OOo plugin (disabled in the package anyway), r1206
    + Check if pointer is NULL *before* using it, r1212.
    + Some minor build issues
    + Use log messages instead of debug
  * Also backport a bunch of bugfixes :
    + r1216 : fix crashing bug in progressitem.
    + r1224 : clear release list when removing an image.
    + r1228 : prevent an infinite loop.
    + r1245 & r1248 : fix a race condition leading to loss of images.
    + r1265 : sometimes images wouldn't show up if the cover column was
      visible in the list view.
    + r1340 : sometimes z39.50 results would not show up.
    + All this makes the package back in good shape for Etch (Closes: #411744).
  * Many thanks to Robby Stephenson, the uptream author, for his help picking
    the patches for inclusion.
  * Only call dh_compress once so help files are not compressed and can be read
    (Closes: #401247).

 -- Regis Boudin <regis@boudin.name>  Tue, 20 Feb 2007 18:27:45 +0000

tellico (1.2.4-1) unstable; urgency=low

  * New upstream release. Now works with KDE 3.3.1, so I can provide Sarge
    backports again. Thanks Robby for caring about that. (Closes: #396508).
    This package actually includes patches from the 1.2.x branch, up top
    r1203, which contains several bugfixes.

