=== debian/control ===
Source: tellico-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
Build-Depends: debhelper (>= 5.0.51~), quilt, kdelibs4-trinity-dev, libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev, libpoppler-tqt-dev, libexempi-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://periapsis.org/tellico/

Package: tellico-trinity
Architecture: any
Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
Replaces: tellico-kde3 (<< 4:3.5.13)
Breaks: tellico-kde3 (<< 4:3.5.13)
Description: collection manager for books, videos, music [Trinity]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.

Package: tellico-data-trinity
Architecture: all
Depends: kdelibs-data-trinity
Replaces: tellico-data-kde3 (<< 4:3.5.13)
Breaks: tellico-data-kde3 (<< 4:3.5.13)
Recommends: tellico-trinity
Suggests: python
Description: collection manager for books, videos, music [data] [Trinity]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts-trinity
Architecture: all
Recommends: tellico-trinity
Replaces: tellico-scripts-kde3 (<< 4:3.5.13)
Breaks: tellico-scripts-kde3 (<< 4:3.5.13)
Suggests: python, ruby
Description: collection manager for books, videos, music [scripts] [Trinity]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the scripts to import data from external sources, such
 as websites. As the format of the data may change, these scripts are provided
 as a separate package which can be updated through debian-volatile.
