=== src/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### define tests ##############################

add_test( isbtest isbntest )

add_test( latin1test latin1test )

add_test( entitytest entitytest )


##### test programs #############################

tde_add_executable( isbntest AUTOMOC
  SOURCES
    isbntest.cpp
    ../isbnvalidator.cpp ../upcvalidator.cpp
  LINK
    tdecore-shared tdeui-shared
)

tde_add_executable( latin1test AUTOMOC
  SOURCES
    latin1test.cpp
  LINK
    tdecore-shared
)

tde_add_executable( entitytest AUTOMOC
  SOURCES
    entitytest.cpp
    ../tellico_utils.cpp
  LINK
    tdecore-shared
)
