=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: tellico-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 5.0.51~), quilt, kdelibs4-trinity-dev, libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev, libpoppler-tqt-dev, libexempi-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake,
+ tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
+ libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev,
+ libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
+ automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://periapsis.org/tellico/
 
 Package: tellico-trinity
 Architecture: any
 Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
-Replaces: tellico-kde3 (<< 4:3.5.13)
-Breaks: tellico-kde3 (<< 4:3.5.13)
+Replaces: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
+Breaks: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
 Description: collection manager for books, videos, music [Trinity]
- Tellico is a collection manager for KDE. It includes default collections for
+ Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
  cards, and wines, and also allows custom collections; with unlimited
  user-defined fields allowed. Automatically formatted names, sorting by any
@@ -28,13 +32,13 @@
 
 Package: tellico-data-trinity
 Architecture: all
-Depends: kdelibs-data-trinity
-Replaces: tellico-data-kde3 (<< 4:3.5.13)
-Breaks: tellico-data-kde3 (<< 4:3.5.13)
+Depends: tdelibs-data-trinity
+Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
+Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
 Suggests: python
 Description: collection manager for books, videos, music [data] [Trinity]
- Tellico is a collection manager for KDE. It includes default collections for
+ Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
  cards, and wines, and also allows custom collections; with unlimited
  user-defined fields allowed. Automatically formatted names, sorting by any
@@ -53,11 +57,11 @@
 Package: tellico-scripts-trinity
 Architecture: all
 Recommends: tellico-trinity
-Replaces: tellico-scripts-kde3 (<< 4:3.5.13)
-Breaks: tellico-scripts-kde3 (<< 4:3.5.13)
+Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
+Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
 Suggests: python, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
- Tellico is a collection manager for KDE. It includes default collections for
+ Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
  cards, and wines, and also allows custom collections; with unlimited
  user-defined fields allowed. Automatically formatted names, sorting by any
