=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug) \
	--enable-new-ldflags \
	--enable-webcam

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/tellico-data-trinity::
	# Add svg icons to xdg directories
	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps
	install -c -p -m 644 -T icons/tellico.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps/tellico.svg
	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes
	install -c -p -m 644 -T icons/tellico_mime.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes/application-x-tellico.svg

	# Install mime info into system directory
	mkdir -p debian/$(cdbs_curpkg)/usr/share/mime
	[ ! -d debian/tmp/opt/trinity/share/apps/mime ] || \
	mv debian/tmp/opt/trinity/share/apps/mime debian/$(cdbs_curpkg)/usr/share/
	[ ! -d debian/tmp/opt/trinity/share/mime ] || \
	mv debian/tmp/opt/trinity/share/mime debian/$(cdbs_curpkg)/usr/share/
	mv debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico.xml debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico-trinity.xml

binary-install/tellico-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
