=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
 Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
- libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev,
+ libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
  libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
  automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
