=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
  -DCMAKE_SKIP_RPATH="OFF" \
  -DWITH_ALL_OPTIONS="ON"
 
+DEB_MAKE_CHECK_TARGET = check
+
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
