## tellico-trinity 14.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##### general package setup #####################
 
 project( tellico )
-set( VERSION R14.0.5 )
+set( VERSION R14.0.6 )
 
 
 ##### include essential cmake modules ###########
@@ -89,8 +89,8 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### tellico directories #######################
