=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Package: tellico-trinity
 Architecture: any
 Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
-Replaces: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
-Breaks: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
+Replaces: tellico-trinity (<< 4:14.0.0~)
+Breaks: tellico-trinity (<< 4:14.0.0~)
 Description: collection manager for books, videos, music [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -33,8 +33,8 @@
 Package: tellico-data-trinity
 Architecture: all
 Depends: tdelibs-data-trinity
-Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
-Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
+Replaces: tellico-data-trinity (<< 4:14.0.0~)
+Breaks: tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
 Suggests: python
 Description: collection manager for books, videos, music [data] [Trinity]
@@ -57,8 +57,8 @@
 Package: tellico-scripts-trinity
 Architecture: all
 Recommends: tellico-trinity
-Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
-Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
+Replaces: tellico-scripts-trinity (<< 4:14.0.0~)
+Breaks: tellico-scripts-trinity (<< 4:14.0.0~)
 Suggests: python, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
