## tellico-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##### general package setup #####################
 
 project( tellico )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.9 )
 
 
 ##### include essential cmake modules ###########
