=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tellico-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake,
+Build-Depends: cdbs, debhelper (>= 9~), cmake,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
  libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
  libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
@@ -36,7 +36,7 @@
 Replaces: tellico-data-trinity (<< 4:14.0.0~)
 Breaks: tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
-Suggests: python
+Suggests: python-all
 Description: collection manager for books, videos, music [data] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -59,7 +59,7 @@
 Recommends: tellico-trinity
 Replaces: tellico-scripts-trinity (<< 4:14.0.0~)
 Breaks: tellico-scripts-trinity (<< 4:14.0.0~)
-Suggests: python, ruby
+Suggests: python-all, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
