=== debian/rules ===
--- 
+++ 
@@ -2,19 +2,10 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-qt-kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
-DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
-DEB_CONFIGURE_PREFIX := /opt/trinity
-DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
-
-cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug) \
-	--enable-new-ldflags \
-	--enable-webcam
+include debian/cdbs/debian-tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
  -DCONFIG_INSTALL_DIR="/etc/trinity" \
  -DSYSCONF_INSTALL_DIR="/etc/trinity" \
@@ -25,9 +16,6 @@
  -DWITH_ALL_OPTIONS="ON"
 
 DEB_MAKE_CHECK_TARGET = check
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 binary-install/tellico-data-trinity::
 	# Add svg icons to xdg directories
