=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), cmake,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
  libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
- libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
- automake, autoconf, libtool, libltdl-dev
+ libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev
 Standards-Version: 3.8.4
 Homepage: http://periapsis.org/tellico/
 
 Package: tellico-trinity
 Architecture: any
 Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
-Replaces: tellico-trinity (<< 4:14.0.0~)
-Breaks: tellico-trinity (<< 4:14.0.0~)
+Replaces: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
+Breaks: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
 Description: collection manager for books, videos, music [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -33,8 +32,8 @@
 Package: tellico-data-trinity
 Architecture: all
 Depends: tdelibs-data-trinity
-Replaces: tellico-data-trinity (<< 4:14.0.0~)
-Breaks: tellico-data-trinity (<< 4:14.0.0~)
+Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
+Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
 Suggests: python-all
 Description: collection manager for books, videos, music [data] [Trinity]
@@ -57,8 +56,8 @@
 Package: tellico-scripts-trinity
 Architecture: all
 Recommends: tellico-trinity
-Replaces: tellico-scripts-trinity (<< 4:14.0.0~)
-Breaks: tellico-scripts-trinity (<< 4:14.0.0~)
+Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
+Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
 Suggests: python-all, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
