=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,12 @@
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DCMAKE_VERBOSE_MAKEFILE="ON" \
  -DCMAKE_SKIP_RPATH="OFF" \
+ -DBUILD_ALL="ON" \
  -DWITH_ALL_OPTIONS="ON"
 
 DEB_MAKE_CHECK_TARGET = check
 
 binary-install/tellico-data-trinity::
-	# Add svg icons to xdg directories
-	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps
-	install -c -p -m 644 -T icons/tellico.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps/tellico.svg
-	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes
-	install -c -p -m 644 -T icons/tellico_mime.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes/application-x-tellico.svg
-
 	# Install mime info into system directory
 	mkdir -p debian/$(cdbs_curpkg)/usr/share/mime
 	[ ! -d debian/tmp/opt/trinity/share/apps/mime ] || \
