## tellico-trinity 14.0.13

=== debian/changelog ===
tellico-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 20 Aug 2022 13:50:38 +0200
