=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,3 @@
 	[ ! -d debian/tmp/opt/trinity/share/mime ] || \
 	mv debian/tmp/opt/trinity/share/mime debian/$(cdbs_curpkg)/usr/share/
 	mv debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico.xml debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico-trinity.xml
-
-binary-install/tellico-trinity::
-	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/
