## tellico-trinity 14.1.0

=== debian/changelog ===
tellico-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Jan 2023 23:03:47 +0100
