## tellico-trinity 14.1.1

=== debian/changelog ===
tellico-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 06 Oct 2023 23:14:27 +0200
