=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
  libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
- libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev
+ libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev, dh-python
 Standards-Version: 3.8.4
 Homepage: http://periapsis.org/tellico/
 
@@ -31,11 +31,11 @@
 
 Package: tellico-data-trinity
 Architecture: all
-Depends: tdelibs-data-trinity
+Depends: tdelibs-data-trinity, ${python3:Depends}
 Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
-Suggests: python-all
+Suggests: python3-all
 Description: collection manager for books, videos, music [data] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -55,10 +55,11 @@
 
 Package: tellico-scripts-trinity
 Architecture: all
+Depends: ${python3:Depends}
 Recommends: tellico-trinity
 Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
 Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
-Suggests: python-all, ruby
+Suggests: python3-all, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
