## tellico-trinity 14.1.3

=== debian/changelog ===
tellico-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 06 May 2024 23:17:01 +0200
