=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,7 @@
 	[ ! -d debian/tmp/opt/trinity/share/mime ] || \
 	mv debian/tmp/opt/trinity/share/mime debian/$(cdbs_curpkg)/usr/share/
 	mv debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico.xml debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico-trinity.xml
+	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/tellico
+
+binary-install/tellico-scripts-trinity::
+	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/tellico/data-sources
