## tellico-trinity 14.1.5~pre0

=== debian/changelog ===
tellico-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 58a570163d90ddcb81e682e28aa4478a62dd7dac
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
